## python-keystoneauth1 2.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
iso8601>=0.1.9 # MIT
positional>=1.0.1 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0

=== debian/changelog ===
python-keystoneauth1 (2.4.0-1ubuntu2) xenial; urgency=medium

  * d/control: Drop python(3)-betamax from BDs as it's not in main.
  * d/p/skip-betamax-tests.patch: Added to skip python-betamax tests as it is
    not in main.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 10:59:26 -0400

python-keystoneauth1 (2.4.0-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable, remaining changes (LP: #1566296):
    - d/control: Move python(3)-requests-kerberos to Suggests as it is optional.
    - d/p/skip-requests-kerberos-tests.patch: Skip tests that require
      python-requests-kerberos. It is a suggested package and not a BD.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Apr 2016 15:43:07 -0400

python-keystoneauth1 (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Removed all patches (applied upstream).
  * Added fix-OrderedDict-mutated-during-iteration.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 12:33:33 +0200

python-keystoneauth1 (2.1.0-4) experimental; urgency=medium

  [ Corey Bryant ]
  * d/watch: Fix tags url.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Added patch to remove argparse from requirements.txt.
  * Standards-Version: 3.9.7 (no change).
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Mar 2016 12:58:44 +0100

python-keystoneauth1 (2.1.0-3) experimental; urgency=medium

  * d/rules: Run tests for all versions of py3.
  * d/p/py3-session-adapters-iteration.patch: Fixes failure hit by py3.5 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Dec 2015 09:17:55 -0500

python-keystoneauth1 (2.1.0-2) experimental; urgency=medium

  * Added missing pep8 build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Dec 2015 15:46:22 +0100

python-keystoneauth1 (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Made the long description better.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2015 09:48:29 +0200

python-keystoneauth1 (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #800700)

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Oct 2015 15:17:55 +0200

=== debian/control ===
Source: python-keystoneauth1
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: git,
                     pep8,
                     python-coverage,
                     python-crypto,
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.10.0),
                     python-iso8601,
                     python-lxml,
                     python-mock (>= 1.3),
                     python-os-testr (>= 0.4.2),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-positional (>= 1.0.1),
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python3-crypto,
                     python3-fixtures (>= 1.3.1),
                     python3-iso8601,
                     python3-lxml,
                     python3-mock (>= 1.3),
                     python3-os-testr (>= 0.4.2),
                     python3-oslo.config (>= 1:3.7.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1.10.0),
                     python3-pep8,
                     python3-positional (>= 1.0.1),
                     python3-requests (>= 2.8.1),
                     python3-requests-mock (>= 0.7.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-testresources,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-keystoneauth1.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-keystoneauth1.git
Homepage: http://www.openstack.org/

Package: python-keystoneauth1
Architecture: all
Depends: python-iso8601,
         python-lxml,
         python-pbr (>= 1.8),
         python-positional (>= 1.0.1),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-keystoneauth1-doc,
          python-requests-kerberos (>= 0.6),
Description: authentication library for OpenStack Identity - Python 2.7
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the Python 2.7 module.

Package: python3-keystoneauth1
Architecture: all
Depends: python3-iso8601,
         python3-lxml,
         python3-pbr (>= 1.8),
         python3-positional (>= 1.0.1),
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-keystoneauth1-doc,
          python3-requests-kerberos (>= 0.6),
Description: authentication library for OpenStack Identity - Python 3.x
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the Python 3.x module.

Package: python-keystoneauth1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: authentication library for OpenStack Identity - doc
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/keystoneauth.git
-include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-keystoneauth1; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-keystoneauth1; \
	done
	rm -rf $(CURDIR)/debian/python*-keystoneauth1/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-keystoneauth1-doc/usr/share/doc/python-keystoneauth1-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-keystoneauth1 2.4.1

=== debian/changelog ===
python-keystoneauth1 (2.4.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- James Page <james.page@ubuntu.com>  Wed, 29 Jun 2016 13:53:29 +0000

python-keystoneauth1 (2.4.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ James Page ]
  * New upstream point release (LP: #1586900).
    - d/p/*: Dropped, included upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 31 May 2016 10:49:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-keystoneauth1
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -15,6 +14,7 @@
                python3-setuptools,
 Build-Depends-Indep: git,
                      pep8,
+                     python-betamax (>= 0.5.1),
                      python-coverage,
                      python-crypto,
                      python-fixtures (>= 1.3.1),
@@ -26,14 +26,16 @@
                      python-oslo.config (>= 1:3.7.0),
                      python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+#                     python-oslotest (>= 1.10.0),
                      python-positional (>= 1.0.1),
                      python-requests (>= 2.8.1),
                      python-requests-mock (>= 0.7.0),
+                     python-requests-kerberos (>= 0.6),
                      python-six (>= 1.9.0),
                      python-stevedore (>= 1.5.0),
                      python-testresources,
                      python-testtools (>= 1.4.0),
+                     python3-betamax (>= 0.5.1),
                      python3-crypto,
                      python3-fixtures (>= 1.3.1),
                      python3-iso8601,
@@ -42,11 +44,12 @@
                      python3-os-testr (>= 0.4.2),
                      python3-oslo.config (>= 1:3.7.0),
                      python3-oslo.utils (>= 3.5.0),
-                     python3-oslotest (>= 1.10.0),
+#                     python3-oslotest (>= 1.10.0),
                      python3-pep8,
                      python3-positional (>= 1.0.1),
                      python3-requests (>= 2.8.1),
                      python3-requests-mock (>= 0.7.0),
+                     python3-requests-kerberos (>= 0.6),
                      python3-six (>= 1.9.0),
                      python3-stevedore (>= 1.5.0),
                      python3-subunit,
@@ -54,7 +57,7 @@
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-keystoneauth1.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-keystoneauth1.git
 Homepage: http://www.openstack.org/
@@ -66,12 +69,12 @@
          python-pbr (>= 1.8),
          python-positional (>= 1.0.1),
          python-requests (>= 2.8.1),
+         python-requests-kerberos (>= 0.6),
          python-six (>= 1.9.0),
          python-stevedore (>= 1.5.0),
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-keystoneauth1-doc,
-          python-requests-kerberos (>= 0.6),
 Description: authentication library for OpenStack Identity - Python 2.7
  Keystoneauth is a library that contains tools for authenticating with
  OpenStack Clients. These tools include: authentication plugins (password,
@@ -89,12 +92,12 @@
          python3-pbr (>= 1.8),
          python3-positional (>= 1.0.1),
          python3-requests (>= 2.8.1),
+         python3-requests-kerberos (>= 0.6),
          python3-six (>= 1.9.0),
          python3-stevedore (>= 1.5.0),
          ${misc:Depends},
          ${python3:Depends},
 Suggests: python-keystoneauth1-doc,
-          python3-requests-kerberos (>= 0.6),
 Description: authentication library for OpenStack Identity - Python 3.x
  Keystoneauth is a library that contains tools for authenticating with
  OpenStack Clients. These tools include: authentication plugins (password,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/keystoneauth.git
+UPSTREAM_GIT := https://github.com/openstack/keystoneauth.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
 
@@ -21,21 +21,21 @@
 	done
 	rm -rf $(CURDIR)/debian/python*-keystoneauth1/usr/lib/python*/dist-packages/*.pth
 
-override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
-	done
-endif
+#override_dh_auto_test:
+#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+#	@echo "===> Running tests"
+#	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+#		rm -rf .testrepository ; \
+#		testr-python$$PYMAJOR init ; \
+#		TEMP_REZ=`mktemp -t` ; \
+#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+#		rm -f $$TEMP_REZ ; \
+#		testr-python$$PYMAJOR slowest ; \
+#	done
+#endif
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))

## python-keystoneauth1 2.12.1

=== requirements.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=1.6 # Apache-2.0
-iso8601>=0.1.9 # MIT
+iso8601>=0.1.11 # MIT
 positional>=1.0.1 # Apache-2.0
-requests!=2.9.0,>=2.8.1 # Apache-2.0
+requests>=2.10.0 # Apache-2.0
 six>=1.9.0 # MIT
-stevedore>=1.5.0 # Apache-2.0
+stevedore>=1.16.0 # Apache-2.0

=== debian/changelog ===
python-keystoneauth1 (2.12.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:10:48 +0200

python-keystoneauth1 (2.12.1-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * Changed pep8 build depends to python-pep8 (Closes: #834742)

  [ James Page ]
  * New upstream release.

  [ Corey Bryant ]
  * New upstream release.

  [ James Page ]
  * Demote python{3}-requests-kerberos to Suggests as its an optional
    dependency.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2016 01:21:27 +0200

python-keystoneauth1 (2.7.0-2) experimental; urgency=medium

  [ Corey Bryant ]
  * d/control: Add python(3)-oauthlib to (Build-)Depends.

  [ Thomas Goirand ]
  * Added no intersphinx patch.
  * Switch to using openstack-pkg-tools (>= 51~) dh helpers.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Jun 2016 10:33:46 +0200

python-keystoneauth1 (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jun 2016 12:50:43 +0000

=== debian/control ===
Source: python-keystoneauth1
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 51~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: git,
                     python-betamax (>= 0.7.0),
                     python-coverage,
                     python-crypto,
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-iso8601 (>= 0.1.11),
                     python-lxml,
                     python-mock (>= 2.0),
                     python-oauthlib (>= 0.6),
                     python-os-testr (>= 0.7.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pep8,
                     python-positional (>= 1.0.1),
                     python-requests (>= 2.10.0),
                     python-requests-kerberos (>= 0.6),
                     python-requests-mock (>= 1.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.16.0),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python-yaml (>= 3.1.0),
                     python3-betamax (>= 0.7.0),
                     python3-crypto,
                     python3-fixtures (>= 3.0.0),
                     python3-iso8601 (>= 0.1.11),
                     python3-lxml,
                     python3-mock (>= 2.0),
                     python3-oauthlib (>= 0.6),
                     python3-os-testr (>= 0.7.0),
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.utils (>= 3.16.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-pep8,
                     python3-positional (>= 1.0.1),
                     python3-requests (>= 2.10.0),
                     python3-requests-kerberos (>= 0.6),
                     python3-requests-mock (>= 1.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.16.0),
                     python3-subunit,
                     python3-testresources,
                     python3-testtools (>= 1.4.0),
                     python3-yaml (>= 3.1.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-keystoneauth1?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/git/openstack/deb-python-keystoneauth1 -b debian/newton
Homepage: http://www.openstack.org/

Package: python-keystoneauth1
Architecture: all
Depends: python-iso8601 (>= 0.1.11),
         python-lxml,
         python-oauthlib (>= 0.6),
         python-pbr (>= 1.8),
         python-positional (>= 1.0.1),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.16.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-keystoneauth1-doc,
          python-requests-kerberos (>= 0.6),
Description: authentication library for OpenStack Identity - Python 2.7
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the Python 2.7 module.

Package: python3-keystoneauth1
Architecture: all
Depends: python3-iso8601 (>= 0.1.11),
         python3-lxml,
         python3-oauthlib (>= 0.6),
         python3-pbr (>= 1.8),
         python3-positional (>= 1.0.1),
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.16.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-keystoneauth1-doc,
          python3-requests-kerberos (>= 0.6),
Description: authentication library for OpenStack Identity - Python 3.x
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the Python 3.x module.

Package: python-keystoneauth1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: authentication library for OpenStack Identity - doc
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/keystoneauth.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-keystoneauth1-doc/usr/share/doc/python-keystoneauth1-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-keystoneauth1 2.16.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
iso8601>=0.1.11 # MIT
positional>=1.1.1 # Apache-2.0
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0

## python-keystoneauth1 2.18.0

=== requirements.txt ===
--- 
+++ 
@@ -5,6 +5,6 @@
 pbr>=1.8 # Apache-2.0
 iso8601>=0.1.11 # MIT
 positional>=1.1.1 # Apache-2.0
-requests>=2.10.0 # Apache-2.0
+requests!=2.12.2,>=2.10.0 # Apache-2.0
 six>=1.9.0 # MIT
 stevedore>=1.17.1 # Apache-2.0

=== debian/changelog ===
python-keystoneauth1 (2.18.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 31 Jul 2017 09:06:08 +0200

python-keystoneauth1 (2.12.1-1) UNRELEASED; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * Changed pep8 build depends to python-pep8 (Closes: #834742)

  [ James Page ]
  * New upstream release.

  [ Corey Bryant ]
  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 14:45:34 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 51~),
                python-all,
@@ -18,45 +18,48 @@
                      python-betamax (>= 0.7.0),
                      python-coverage,
                      python-crypto,
+                     python-bandit (>= 1.1.0),
                      python-fixtures (>= 3.0.0),
                      python-hacking,
                      python-iso8601 (>= 0.1.11),
                      python-lxml,
                      python-mock (>= 2.0),
                      python-oauthlib (>= 0.6),
-                     python-os-testr (>= 0.7.0),
+                     python-os-testr (>= 0.8.0),
                      python-oslo.config (>= 1:3.14.0),
-                     python-oslo.utils (>= 3.16.0),
-                     python-oslosphinx (>= 2.5.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1:1.10.0),
                      python-pep8,
-                     python-positional (>= 1.0.1),
-                     python-requests (>= 2.10.0),
+                     python-positional (>= 1.1.1),
+                     python-requests (>= 2.12.4),
                      python-requests-kerberos (>= 0.6),
-                     python-requests-mock (>= 1.0),
+                     python-requests-mock (>= 1.3.0),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.16.0),
+                     python-stevedore (>= 1.17.1),
                      python-testresources,
                      python-testtools (>= 1.4.0),
                      python-yaml (>= 3.1.0),
                      python3-betamax (>= 0.7.0),
                      python3-crypto,
+                     python3-bandit (>= 1.1.0),
                      python3-fixtures (>= 3.0.0),
                      python3-iso8601 (>= 0.1.11),
                      python3-lxml,
                      python3-mock (>= 2.0),
                      python3-oauthlib (>= 0.6),
-                     python3-os-testr (>= 0.7.0),
+                     python3-os-testr (>= 0.8.0),
                      python3-oslo.config (>= 1:3.14.0),
-                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslosphinx (>= 4.7.0),
                      python3-oslotest (>= 1:1.10.0),
                      python3-pep8,
-                     python3-positional (>= 1.0.1),
-                     python3-requests (>= 2.10.0),
+                     python3-positional (>= 1.1.1),
+                     python3-requests (>= 2.12.4),
                      python3-requests-kerberos (>= 0.6),
-                     python3-requests-mock (>= 1.0),
+                     python3-requests-mock (>= 1.3.0),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.16.0),
+                     python3-stevedore (>= 1.17.1),
                      python3-subunit,
                      python3-testresources,
                      python3-testtools (>= 1.4.0),
@@ -64,8 +67,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-keystoneauth1?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/git/openstack/deb-python-keystoneauth1 -b debian/newton
+Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-keystoneauth1.git/?h=debian%2Focata
+Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-keystoneauth1.git -b debian/ocata
 Homepage: http://www.openstack.org/
 
 Package: python-keystoneauth1
@@ -74,10 +77,10 @@
          python-lxml,
          python-oauthlib (>= 0.6),
          python-pbr (>= 1.8),
-         python-positional (>= 1.0.1),
-         python-requests (>= 2.8.1),
+         python-positional (>= 1.1.1),
+         python-requests (>= 2.12.4),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.16.0),
+         python-stevedore (>= 1.17.1),
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-keystoneauth1-doc,
@@ -98,10 +101,10 @@
          python3-lxml,
          python3-oauthlib (>= 0.6),
          python3-pbr (>= 1.8),
-         python3-positional (>= 1.0.1),
+         python3-positional (>= 1.1.1),
          python3-requests (>= 2.8.1),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.16.0),
+         python3-stevedore (>= 1.17.1),
          ${misc:Depends},
          ${python3:Depends},
 Suggests: python-keystoneauth1-doc,

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,10 @@
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
+	rm -rf .testrepository
+	rm -f AUTHORS
+	rm -rf .pc
+	rm -f ChangeLog
 
 # Commands not to run
 override_dh_installcatalogs:

## python-keystoneauth1 3.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# All additions to this file must have significant justification.

# NOTE(morgan) At no time may any olso library be added to the keystoneauth
# requirements. The requirements for keystoneauth are very tightly controlled
# to ensure we are not pulling in a ton of transient dependencies. This is
# important from the standpoint of ensuring keystoneauth can be used outside
# of openstack-specific projects (allowing interaction with openstack APIs)
# where oslo and associated transient dependencies are not desired.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
iso8601>=0.1.11 # MIT
positional>=1.1.1 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-keystoneauth1 (3.1.0-0ubuntu2~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 04 Aug 2017 00:28:05 +0000

python-keystoneauth1 (3.1.0-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:54 -0400

python-keystoneauth1 (3.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/no-intersphinx-in-doc.patch: Rebased.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 10:41:41 -0400

python-keystoneauth1 (2.21.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jul 2017 16:05:57 -0400

python-keystoneauth1 (2.20.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.
  * Align (Build-)Depends with upstream release.

 -- James Page <james.page@ubuntu.com>  Mon, 15 May 2017 17:23:16 +0100

python-keystoneauth1 (2.19.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/patches/no-intersphinx-in-doc.patch: Rediffed.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:01:13 +0100

python-keystoneauth1 (2.18.0-0ubuntu2) zesty; urgency=medium

  * d/control: Remove python-hacking as it is not required
    for unit tests. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2017 11:12:51 -0500

python-keystoneauth1 (2.18.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 18 Jan 2017 07:42:53 -0500

python-keystoneauth1 (2.17.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Add autopkgtest.
  * d/patches/no-intersphinx-in-doc.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 11 Jan 2017 09:01:32 -0500

python-keystoneauth1 (2.16.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Dec 2016 14:31:44 -0500

python-keystoneauth1 (2.15.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Nov 2016 15:29:15 -0400

python-keystoneauth1 (2.14.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Oct 2016 09:08:28 -0400

python-keystoneauth1 (2.12.1-0ubuntu2) yakkety; urgency=medium

  * Demote python{3}-requests-kerberos to Suggests as its an optional
    dependency.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Sep 2016 11:34:38 +0100

python-keystoneauth1 (2.12.1-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * Changed pep8 build depends to python-pep8 (Closes: #834742)

  [ James Page ]
  * New upstream release.

  [ Corey Bryant ]
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 14:54:19 +0100

=== debian/control ===
Source: python-keystoneauth1
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 51~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: git,
                     python-betamax (>= 0.7.0),
                     python-coverage (>= 4.0),
                     python-crypto,
                     python-fixtures (>= 3.0.0),
                     python-iso8601 (>= 0.1.11),
                     python-lxml,
                     python-mock (>= 2.0),
                     python-oauthlib (>= 0.6),
                     python-openstackdocstheme (>= 1.11.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-pep8,
                     python-positional (>= 1.1.1),
                     python-requests (>= 2.14.2),
                     python-requests-kerberos (>= 0.6),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.20.0),
                     python-testresources (>= 0.2.4),
                     python-testtools (>= 1.4.0),
                     python-yaml (>= 3.10.0),
                     python3-betamax (>= 0.7.0),
                     python3-crypto,
                     python3-fixtures (>= 3.0.0),
                     python3-iso8601 (>= 0.1.11),
                     python3-lxml,
                     python3-mock (>= 2.0),
                     python3-oauthlib (>= 0.6),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-os-testr (>= 0.8.0),
                     python3-oslo.config (>= 1:4.0.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-pep8,
                     python3-positional (>= 1.1.1),
                     python3-requests (>= 2.14.2),
                     python3-requests-kerberos (>= 0.6),
                     python3-requests-mock (>= 1.1),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.20.0),
                     python3-subunit,
                     python3-testresources (>= 0.2.4),
                     python3-testtools (>= 1.4.0),
                     python3-yaml (>= 3.10.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystoneauth1
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystoneauth1
Homepage: http://www.openstack.org/
Testsuite: autopkgtest-pkg-python

Package: python-keystoneauth1
Architecture: all
Depends: python-iso8601 (>= 0.1.11),
         python-lxml,
         python-oauthlib (>= 0.6),
         python-pbr (>= 2.0.0),
         python-positional (>= 1.1.1),
         python-requests (>= 2.14.2),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.20.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-keystoneauth1-doc,
          python-requests-kerberos (>= 0.6),
Description: authentication library for OpenStack Identity - Python 2.7
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the Python 2.7 module.

Package: python3-keystoneauth1
Architecture: all
Depends: python3-iso8601 (>= 0.1.11),
         python3-lxml,
         python3-oauthlib (>= 0.6),
         python3-pbr (>= 2.0.0),
         python3-positional (>= 1.1.1),
         python3-requests (>= 2.14.2),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.20.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-keystoneauth1-doc,
          python3-requests-kerberos (>= 0.6),
Description: authentication library for OpenStack Identity - Python 3.x
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the Python 3.x module.

Package: python-keystoneauth1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: authentication library for OpenStack Identity - doc
 Keystoneauth is a library that contains tools for authenticating with
 OpenStack Clients. These tools include: authentication plugins (password,
 token, and federation based); discovery mechanisms to determineversion support
 for OpenStack clouds; and a session used to maintain client settings across
 requests. It is designed for use in conjunction with the existing OpenStack
 clients and for simplifying the process of writing new clients.
 .
 This package contains the documentation.
